import { Image, StyleSheet, Text, View } from 'react-native';
import React, { useContext } from 'react';
import MapView, { Marker, PROVIDER_DEFAULT} from 'react-native-maps';
import { UserLocationContext } from '@/app/Context/UserLocationContext';


const MapViewScreen = () => {
const {location, setLocation} = useContext(UserLocationContext)


  return location?.latitude &&(
    <View>
      <MapView style={{width: '100%', height: '100%'}} 
        provider={PROVIDER_DEFAULT} 
        showsUserLocation={true} 
        region={{
          latitude: location?.latitude,
          longitude: location?.longitude,
          latitudeDelta: 0.05,
          longitudeDelta: 0.05
        }}
      >
        <Marker coordinate={{latitude: location?.latitude, longitude: location?.longitude}}>
          <Image source={require('../../../assets/images/ev_images/car.png')} style={{width: 70, height: 70}}/>
        </Marker>
      </MapView>
    </View>
  )
}

export default MapViewScreen

const styles = StyleSheet.create({})